# Example Gitaly configuration file

socket_path = "{{ ansible_env.XDG_RUNTIME_DIR | mandatory }}/gitaly/gitaly.socket"

# The directory where Gitaly's executables are stored
bin_dir = "{{ ansible_user_dir }}/bin"

# # Optional: listen on a TCP socket. This is insecure (no authentication)
# listen_addr = "localhost:9999"
#

# # Optional: export metrics via Prometheus
prometheus_listen_addr = "localhost:9236"

# # Git executable settings
[git]
bin_path = "/usr/bin/git"

[[storage]]
name = "default"
path = "{{ ansible_user_dir }}/repositories"

# # You can optionally configure more storages for this Gitaly instance to serve up
#
# [[storage]]
# name = "other_storage"
# path = "/mnt/other_storage/repositories"
#

# # You can optionally configure Gitaly to output JSON-formatted log messages to stdout
[logging]
format = "json"
# # Additionally exceptions can be reported to Sentry
# sentry_dsn = "https://<key>:<secret>@sentry.io/<project>"
level = "info"
dir = "{{ ansible_user_dir }}/log/gitaly"

# # You can optionally configure Gitaly to record histogram latencies on GRPC method calls
[prometheus]
grpc_latency_buckets = [0.001, 0.005, 0.025, 0.1, 0.5, 1.0, 10.0, 30.0, 60.0, 300.0, 1500.0]

[gitaly-ruby]
# The directory where gitaly-ruby is installed
dir = "{{ ansible_user_dir }}/gitaly/ruby"

# # Gitaly-ruby resident set size (RSS) that triggers a memory restart (bytes)
# max_rss = 300000000
#
# # Grace period before a gitaly-ruby process is forcibly terminated after exceeding max_rss (seconds)
# graceful_restart_timeout = "10m"
#
# # Time that gitaly-ruby memory must remain high before a restart (seconds)
# restart_delay = "5m"

[gitlab-shell]
# The directory where gitlab-shell is installed
dir = "{{ ansible_user_dir }}/gitlab-shell"

# # You can adjust the concurrency of each RPC endpoint
[[concurrency]]
rpc = "/gitaly.RepositoryService/GarbageCollect"
max_per_repo = 1
